---
title: Get started
keywords: Docker, get started
description: Get started with Docker
layout: wide
params:
  icon: download
  notoc: true
  get-started:
  - title: Get Docker
    description: Choose the best installation path for your setup.
    link: /get-started/get-docker/
    icon: download
  - title: What is Docker?
    description: Learn about the Docker platform.
    link: /get-started/docker-overview/
    icon: summarize
  get-started2:
  - title: Introduction
    description: Get started with the basics and the benefits of containerizing your applications.
    link: /get-started/introduction/
    icon: rocket
  - title: Docker concepts
    description: Gain a better understanding of foundational Docker concepts.
    link: /get-started/docker-concepts/the-basics/what-is-a-container/
    icon: foundation
  - title: Docker workshop
    description: Get guided through a 45-minute workshop to learn about Docker.
    link: /get-started/workshop/
    icon: desk
---

If you're new to Docker, this section guides you through the essential resources to get started.

Follow the guides to help you get started and learn how Docker can optimize your development workflows. 

For more advanced concepts and scenarios in Docker, see [Guides](/guides/).

## Foundations of Docker

Install Docker and jump into discovering what Docker is. 

{{< grid items="get-started" >}}

Learn the foundational concepts and workflows of Docker.

{{< grid items="get-started2" >}}
