---
title: |
  Mastering Testcontainers Cloud by Docker: streamlining integration testing with containers
linkTitle: Testcontainers Cloud by Docker
summary: |
  Automate, scale, and optimize testing workflows with Testcontainers Cloud
description: |
  Testcontainers Cloud by Docker streamlines integration testing by offloading container management to the cloud. It enables faster, consistent tests for containerized services like databases, improving performance and scalability in CI/CD pipelines without straining local or CI resources. Ideal for developers needing efficient, reliable testing environments.
tags: [product-demo]
params:
  featured: true
  image: images/learning-paths/testcontainers-cloud-learning-path.png
  time: 12 minutes
  resource_links:
    - title: Testcontainers Guides
      url: https://testcontainers.com/guides
    - title: Testcontainers Best Practices
      url: https://www.docker.com/blog/testcontainers-best-practices/
    - title: Simple local development with Testcontainers Desktop
      url: https://testcontainers.com/guides/simple-local-development-with-testcontainers-desktop/
    - title: Streamlining Local Development with Dev Containers and Testcontainers Cloud
      url: https://www.docker.com/blog/streamlining-local-development-with-dev-containers-and-testcontainers-cloud/
    - title: Running Testcontainers Tests Using GitHub Actions and Testcontainers Cloud
      url: https://www.docker.com/blog/running-testcontainers-tests-using-github-actions/
    - title: Testcontainers Cloud on the Docker Blog
      url: https://www.docker.com/search/?_sf_s=testcontainers%20cloud
---

Testcontainers Cloud is a cloud-based solution designed to streamline and enhance the process of running integration tests using Testcontainers. Testcontainers is the open source framework, which allows developers to easily spin up containerized dependencies such as databases, message brokers, and other services required for testing. By shifting the management of Testcontainers-based services to the cloud, Testcontainers Cloud optimizes performance, reduces resource constraints on local machines or CI servers, and ensures consistent test environments. This solution is particularly beneficial for teams working on complex, distributed systems, as it allows for scalable, isolated, and reliable testing without the typical overhead of managing containers locally.

## What you'll learn

- Understand the fundamentals of Docker Testcontainers Cloud and its role in integration testing.
- Learn how to set up and configure Docker Testcontainers Cloud for automated testing in various environments.
- Explore how Testcontainers Cloud integrates with CI/CD pipelines to streamline testing workflows.

## Tools integration

Works well with Docker Desktop, GitHub Actions, Jenkins, Kubernetes, and other CI solutions

Docker Pro, Team, and Business subscriptions come with Testcontainers Cloud runtime minutes, and additional minutes are available via consumption pricing.

## Who’s this for?

- Teams that build cloud-native applications and are already using Testcontainers open source.
- DevOps Teams that integrate automated container-based testing into CI/CD pipelines for continuous testing.
- QA Teams that seek scalable and consistent test environments for comprehensive integration and end-to-end testing.
- Developers who need reliable, containerized test environments for testing microservices and databases.
