---
title: Manage an account
weight: 20
description: Learn how to manage settings for your Docker account.
keywords: accounts, docker ID, account settings, account management, docker home
---

You can centrally manage the settings for your Docker account using Docker Home. Here you can also take administrative actions for your account and manage your account security.

> [!TIP]
>
> If your account is associated with an organization that enforces single sign-on (SSO), you may not have permissions to update your account settings. You must contact your administrator to update your settings.

## Update general settings

1. Sign in to your [Docker account](https://app.docker.com/login).
2. In Docker Home, select your avatar in the top-right corner to open the drop-down.
3. Select **Account settings**.

From the Account Center page, you can take any of the following actions.

### Update account information

To update your account information, select the arrow icon. You can edit the following settings here:

- Full name
- Company
- Location
- Website
- Gravatar email: To add an avatar to your Docker account, create a [Gravatar account](https://gravatar.com/) and create your avatar. Next, add your Gravatar email to your Docker account settings. It may take some time for your avatar to update in Docker.

This information is visible on your account profile in Docker Hub.

Make your changes here, then select **Save** to save your settings.

### Update email address

To update your email address, select **Email**.

1. Enter your new email address.
2. Enter your password to confirm the change.
3. Select **Send verification email** to send a verification email to your new email address.

Once you verify your email address, your account information will update.

### Change your password

You can change your password by initiating a password reset via email.

To change your password, select **Password** and then **Reset password**.

Follow the instructions in the password reset email.

## Manage security settings

To update your two-factor authentication (2FA) settings, select **2FA**.
For information on two-factor authentication (2FA) for your account, see [Enable two-factor authentication](../security/for-developers/2fa/_index.md) to get started.

To manage personal access tokens, select **Personal access tokens**.
For information on personal access tokens, see [Create and manage access tokens](../security/for-developers/access-tokens.md).

## Account management

To convert your account into an organization, select **Convert**.
For more information on converting your account, see [Convert an account into an organization](../admin/organization/convert-account.md).

To deactivate your account, select **Deactivate**.
For information on deactivating your account, see [Deactivating a user account](./deactivate-user-account.md).
