---
title: Update billing information
weight: 30
description: Learn how to update your billing information in Docker Hub
keywords: payments, billing, subscription, invoices
---

You can update the billing information for your personal account or for an organization. When you update your billing information, these changes apply to future billing invoices. Note that you can't update an existing invoice, including paid and unpaid invoices.

The billing information provided appears on all your billing invoices. The email address provided is where Docker sends all invoices and other [billing-related communication](#update-your-billing-invoice-email-address).

{{% include "tax-compliance.md" %}}

## Manage billing information

### Personal account

{{< tabs >}}
{{< tab name="Docker plan" >}}

To update your billing information:

1. Sign in to [Docker Home](https://app.docker.com/).
2. Under Settings and administration, select **Billing**.
3. Select **Billing information** from the left-hand navigation.
4. On your billing information card, select **Change**.
5. Update your billing contact and billing address information.
6. Optional. To add or update a VAT ID, select the **I'm purchasing as a business** checkbox and enter your Tax ID.
7. Select **Update**.

{{< /tab >}}
{{< tab name="Legacy Docker plan" >}}

To update your billing information:

1. Sign in to [Docker Hub](https://hub.docker.com).
2. Select your avatar in the top-right corner.
3. From the drop-down menu, select **Billing**.
4. Select **Billing Address** and enter your updated billing information.
5. Optional. To add or update a VAT ID, enter your **Tax ID/VAT**.
6. Select **Submit**.

{{< /tab >}}
{{< /tabs >}}

### Organization

> [!NOTE]
>
> You must be an organization owner to make changes to the billing information.

{{< tabs >}}
{{< tab name="Docker plan" >}}

To update your billing information:

1. Sign in to [Docker Home](https://app.docker.com/).
2. Under Settings and administration, select **Billing**.
3. Select **Billing information** from the left-hand navigation.
4. On your billing information card, select **Change**.
5. Update your billing contact and billing address information.
6. Optional. To add or update a VAT ID, select the **I'm purchasing as a business** checkbox and enter your Tax ID.
7. Select **Update**.

{{< /tab >}}
{{< tab name="Legacy Docker plan" >}}

To update your billing information:

1. Sign in to [Docker Hub](https://hub.docker.com).
2. Select your avatar in the top-right corner.
3. From the drop-down menu select **Billing**.
4. Select the organization that you want to change the payment method for.
5. Select **Billing Address**.
6. Optional. To add or update a VAT ID, enter your **Tax ID/VAT**.
7. Select **Submit**.

{{< /tab >}}
{{< /tabs >}}

## Update your billing invoice email address

Docker sends the following billing-related emails:

- Confirmation of a new subscription.
- Confirmation of paid invoices.
- Notifications of credit or debit card payment failures.
- Notifications of credit or debit card expiration.
- Confirmation of a cancelled subscription
- Reminders of subscription renewals for annual subscribers. This is sent 14 days before the renewal date.

You can update the email address that receives billing invoices at any time.

### Personal account

{{< tabs >}}
{{< tab name="Docker plan" >}}

To update your billing email address:

1. Sign in to [Docker Home](https://app.docker.com/).
2. Under Settings and administration, select **Billing**.
3. Select **Billing information** from the left-hand navigation.
4. On your billing information card, select **Change**.
5. Update your billing contact information and select **Update**.

{{< /tab >}}
{{< tab name="Legacy Docker plan" >}}

To update your billing email address:

1. Sign in to [Docker Hub](https://hub.docker.com).
2. Select your avatar in the top-right corner.
3. From the drop-down menu select **Billing**.
4. Select **Billing Address**.
5. Update the email address in the **Billing contact** section.
6. Select **Submit**.

{{< /tab >}}
{{< /tabs >}}

### Organizations

{{< tabs >}}
{{< tab name="Docker plan" >}}

To update your billing email address:

1. Sign in to [Docker Home](https://app.docker.com/).
2. Under Settings and administration, select **Billing**.
3. Select **Billing information** from the left-hand navigation.
4. On your billing information card, select **Change**.
5. Update your billing contact information and select **Update**.

{{< /tab >}}
{{< tab name="Legacy Docker plan" >}}

To update your billing email address:

1. Sign in to [Docker Hub](https://hub.docker.com).
2. Select your avatar in the top-right corner.
3. From the drop-down menu select **Billing**.
4. Select the name of the organization.
5. Select **Billing Address**.
6. Update the email address in the **Billing contact** section.
7. Select **Submit**.

{{< /tab >}}
{{< /tabs >}}
