---
title: Docker Projects
params:
  sidebar:
    group: Products
    badge:
      color: blue
      text: Beta
weight: 50
description: Learn how to use Docker Projects which provides a unified, project-based workflow to run your containerized projects. 
keywords: Docker, projects, docker deskotp, containerization
grid:
- title: How Docker Projects works
  description: Learn How Docker Projects works
  icon: category
  link: /projects/about/
- title: Open a new project
  description: Learn how to open a new local or remote projects.
  icon: checklist
  link: /projects/open/
- title: Edit your project
  description: Edit your project's run commands and setup. N
  icon: design_services
  link: /projects/edit/
- title: Manage your projects
  description: Run or remove your projects.
  icon: tune
  link: /projects/manage/
- title: View your projects
  description: View detailed information about your projects and services within your projects
  icon: visibility
  link: /projects/view/
- title: FAQs
  description: View common FAQs about Docker Projects
  icon: help
  link: /projects/faq/
---

{{< summary-bar feature_name="Docker Projects" >}}

Docker Projects provides a simplified, project-based workflow for running and managing containerized applications. It organizes your code, configurations, and logs across local and cloud environments into a single view, making it easy to collaborate and share across teams.

A project organizes your code and Docker artifacts into a single object. These artifacts include logs as well as customizable run commands. These artifacts can persist remotely in the cloud, which lets you access your projects from any device that has Docker Desktop.

### Key features and benefits

 - One-click project setup: Open a local folder or clone a Git repository and run your project instantly.
 - Minimal Docker expertise required: Ideal for both beginners and experienced developers.
 - Custom `run` commands for your projects: Define and store pre-configured `run` commands that are equivalent to running `docker compose up`.
 - Local and remote projects: Work on projects locally or sync artifacts to the cloud for cross-device access and easy collaboration.

{{< grid >}}
