---
description: Learn how to add or remove seats for an existing subscription
keywords: Docker, Docker Hub, subscription, update, add, seats, pricing
title: Manage subscription seats
linkTitle: Manage seats
aliases:
- /docker-hub/billing/add-seats/
- /subscription/add-seats/
- /docker-hub/billing/remove-seats/
- /subscription/remove-seats/
- /subscription/core-subscription/add-seats/
- /subscription/core-subscription/remove-seats/
weight: 20
---

You can add seats at anytime to your existing subscription.

When you add seats to your subscription in the middle of your billing cycle, you are charged a prorated amount for the additional seats.

{{% include "tax-compliance.md" %}}

## Add seats

{{< tabs >}}
{{< tab name="Docker plan" >}}

> [!IMPORTANT]
>
> If you have a [sales-assisted Docker Business subscription](details.md#sales-assisted), contact your account manager to add seats to your subscription.

To add seats to your subscription:

1. Sign in to [Docker Home](https://app.docker.com/).
2. Under Settings and administration, select **Billing**.
3. Select your account from the drop-down menu in the top-left.
4. Select **Add seats**.
5. Follow the on-screen instructions to complete adding seats.

You can now add more members to your organization. For more information, see [Manage organization members](../admin/organization/members.md).

{{< /tab >}}
{{< tab name="Legacy Docker plan" >}}

> [!IMPORTANT]
>
> If you have a [sales-assisted Docker Business subscription](details.md#sales-assisted), contact your account manager to add seats to your subscription.

### Add seats to Legacy Docker plan

1. Sign in to [Docker Hub](https://hub.docker.com).
2. Select your avatar in the top-left, and select **Billing** from the drop-down menu.
3. On the Billing page, select **Add seats**.
4. Select the number of seats you want to add, then select **Purchase**.

### Add seats to Docker Build Cloud

1. Sign in to Docker Build Cloud.
2. Select **Account settings**, then **Add seats**.
3. Select the number of seats you want to add, then select **Add seats**.

{{< /tab >}}
{{< /tabs >}}

### Volume pricing

Docker offers volume pricing for Docker Business subscriptions starting at 25 seats. Contact the [Docker Sales Team](https://www.docker.com/pricing/contact-sales/) for more information.

## Remove seats

You can remove seats from your Team or Business subscription at anytime.

If you remove seats in the middle of the billing cycle, changes apply in the next billing cycle. Any unused portion of the subscription for removed seats isn't refundable or creditable.

For example, if you receive your billing on the 8th of every month for 10 seats and you want to remove 2 seats on the 15th of the month, the 2 seats will be removed from your subscription the next month. Your payment for 8 seats begins on the next billing cycle. If you're on the annual subscription, the 2 seats are still available until the next year, and your payment for the 8 seats begins on the next billing cycle.

{{< tabs >}}
{{< tab name="Docker plan" >}}

> [!IMPORTANT]
>
> If you have a [sales-assisted Docker Business subscription](details.md#sales-assisted), contact your account manager to remove seats from your subscription.

To remove seats:

1. Sign in to [Docker Home](https://app.docker.com/).
2. Under Settings and administration, select **Billing**.
3. Select your account from the drop-down menu in the top-left.
4. Select the action icon and then select **Remove seats**.
5. Follow the on-screen instructions to complete removing seats.

You can cancel the removal of seats before your next billing cycle. To do so, select **Cancel change**.

{{< /tab >}}
{{< tab name="Legacy Docker plan" >}}

> [!IMPORTANT]
>
> If you have a [sales-assisted Docker Business subscription](details.md#sales-assisted), contact your account manager to remove seats from your subscription.

### Remove seats from Legacy Docker plan

1. Sign in to [Docker Hub](https://hub.docker.com).
2. Select your avatar in the top-left, and select **Billing** from the drop-down menu.
3. On the Billing page, select **Remove seats**.
4. Follow the on-screen instructions to complete removing seats.

### Remove seats from Docker Build Cloud

1. Sign in to [Docker Build Cloud](https://app.docker.com/build).
2. Select **Account settings**, then **Remove seats**.
3. Follow the on-screen instructions to complete removing seats.

{{< /tab >}}
{{< /tabs >}}